Package com.xebialabs.deployit.plugin.api.udm

# Class CiAttributes

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.CiAttributes

All Implemented Interfaces:
  `Serializable`

public class CiAttributes extends Object implements Serializable
A container for metadata about CI's

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CiAttributes(String createdBy, org.joda.time.DateTime createdAt, String lastModifiedBy, org.joda.time.DateTime lastModifiedAt, Integer scmTraceabilityDataId)`
  Constructs a CiAttributes object with the given parameters

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.joda.time.DateTime`
  `getCreatedAt()`
  The original creation date of this CI
  `String`
  `getCreatedBy()`
  Get the name of the user that originally created this CI
  `org.joda.time.DateTime`
  `getLastModifiedAt()`
  Get the last modification date for this CI
  `String`
  `getLastModifiedBy()`
  Get the name of the user that last modified something about this CI
  `Integer`
  `getScmTraceabilityDataId()`
  Get the id of scm traceability data
  `void`
  `setScmTraceabilityDataId(Integer scmTraceabilityDataId)`
  Set the id of scm traceability data

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CiAttributes

    public CiAttributes(String createdBy, org.joda.time.DateTime createdAt, String lastModifiedBy, org.joda.time.DateTime lastModifiedAt, Integer scmTraceabilityDataId)
    Constructs a CiAttributes object with the given parameters
    Parameters:
      `createdBy` - - the original creator of the CI
      `createdAt` - - the creation date of the CI
      `lastModifiedBy` - - the user that last modified the CI
      `lastModifiedAt` - - the last modification date for the CI
      `scmTraceabilityDataId` - - id of scm traceability data

- ## Method Details

  - ### getCreatedBy

    public String getCreatedBy()
    Get the name of the user that originally created this CI
    Returns:
      a String

  - ### getCreatedAt

    public org.joda.time.DateTime getCreatedAt()
    The original creation date of this CI
    Returns:
      a Calendar

  - ### getLastModifiedBy

    public String getLastModifiedBy()
    Get the name of the user that last modified something about this CI
    Returns:
      a String

  - ### getLastModifiedAt

    public org.joda.time.DateTime getLastModifiedAt()
    Get the last modification date for this CI
    Returns:
      a Calendar

  - ### getScmTraceabilityDataId

    public Integer getScmTraceabilityDataId()
    Get the id of scm traceability data
    Returns:
      an Integer

  - ### setScmTraceabilityDataId

    public void setScmTraceabilityDataId(Integer scmTraceabilityDataId)
    Set the id of scm traceability data
    Parameters:
      `scmTraceabilityDataId` - new data id